Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/collecting/getcollectingmediarecent

# Recently added physical media

GET `https://api.rewind.rest/v1/collecting/media/recent`

Most recently added items to the physical media collection. Supports date filtering via date, from, and to params.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### limit (query, integer)

#### page (query, integer)

#### date (query, string)

Single day (YYYY-MM-DD). Overrides from/to.

#### from (query, string)

Range start, inclusive (ISO 8601)

#### to (query, string)

Range end, inclusive (ISO 8601)

## Response

#### 200

Recent media items

#### data (array of object, required)

#### properties

#### id (number, required)

#### title (string, required)

#### year (number, required)

#### tmdb\_id (number, required)

#### image (object, required)

#### tmdb\_rating (number, required)

#### media\_type (string, required)

#### resolution (string, required)

#### hdr (string, required)

#### audio (string, required)

#### audio\_channels (string, required)

#### collected\_at (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/collecting/media/recent' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/collecting/media/recent', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/collecting/media/recent',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "id": 0,
      "title": "string",
      "year": 0,
      "tmdb_id": 0,
      "image": {
        "url": "\u2026",
        "thumbhash": "\u2026",
        "dominant_color": "\u2026",
        "accent_color": "\u2026"
      },
      "tmdb_rating": 0,
      "media_type": "string",
      "resolution": "string",
      "hdr": "string",
      "audio": "string",
      "audio_channels": "string",
      "collected_at": "string"
    }
  ]
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
